Summary:	PDFlib is a C library for generating PDF ("Adobe Acrobat") files
Name: 		pdflib
Version: 	4.0.1
Release: 	1
Group: 		Development/Libraries
Source: 	http://pdflib.com/pdflib/download/%{name}-%{version}.tar.gz
Copyright: 	Alladin Free Public License and PDFlib commercial license
BuildRoot: 	%{_tmppath}/%{name}-root
Requires: 	libtiff, libpng, zlib, libjpeg >= 6b
BuildPrereq: libtiff-devel, libpng-devel, zlib-devel, libjpeg-devel >= 6b
Packager: 	 Gomez Henri <hgomez@slib.fr>, Troels Arvin <troels@arvin.dk>
Url: 		 http://pdflib.com/

%description
PDFlib is a C library for generating PDF files. It offers a graphics
API with support for drawing, text, fonts, images, and hypertext. 
Call PDFlib routines from within your client program and voila: 
dynamic PDF files!

THIS IS NOT PUBLIC DOMAIN OR FREEWARE SOFTWARE -- 
see the included readme.txt and PDFLib-license.pdf for details.
For more information, go to http://www.pdflib.com

This package includes C-bindings. It does not include Perl, Python,
C++ or Java bindings; if you need those, you'll need to install PDFlib 
from the source tar-ball.

Note that this package is not official software from PDFLib GmbH. It's 
not covered by support from the company behind PDFLib.

%prep
%setup -q -n %{name}-%{version}

%build
CFLAGS=$RPM_OPT_FLAGS \
	./configure --prefix=/usr
make
chmod -R a-x doc/*

%install
make install prefix=$RPM_BUILD_ROOT/usr

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
ldconfig

%postun
ldconfig

%files
%defattr(-,root,root)
/usr/lib/libpdf.a
/usr/lib/libpdf.la
%attr(0755,root,root) /usr/lib/libpdf*.so*
/usr/include/pdflib.h
%doc readme.txt
%doc doc/aladdin-license.pdf
%doc doc/changes.txt
%doc doc/compatibility.txt
%doc doc/readme_unix.txt
%doc doc/grid.pdf
%doc doc/PDFlib-license.pdf
%doc doc/PDFlib-manual.pdf
%doc doc/PDFlib-purchase-order.pdf

%changelog
* Thu Jun 04 2001 Gomez Henri <hgomez@slib.fr>
  [4.0.1]

* Fri May 04 2001 Gomez Henri <hgomez@slib.fr>
  [4.0.0]

- Applied cidfont patches
* Wed Feb 28 2001 Troels Arvin <troels@arvin.dk>
  [3.0.3-4]
- Fixed the pdflib.patch. Red Hat 7's patch utility didn't 
  like the old one for some strange reason.

* Wed Jan 17 2001 Gomez Henri <hgomez@slib.fr>
  [3.0.3-3]
- corrected the incorrect generation of .so name.
  libtool need a subtil algo: VERS + REV : LEVEL : REV
  libtool -version-info 2:1:1 -> pdflib.so.1.1.1

* Tue Jan 16 2001 Troels Arvin <troels@arvin.dk>
  [3.0.3-2]
- Added PDF_open_mem() and PDF_set_parameter(p, "flush", "none") patch
  from http://www.pdflib.com/pdflib/patches.html
- Added GPG signature.

* Thu Jan 11 2001 Troels Arvin <troels@arvin.dk>
  [3.03-1]
- Synced with PDFLib 3.0.3.

* Sat Oct 7 2000 Troels Arvin <troels@arvin.dk>
  [3.02-2]
- Added disclaimers, by request from PDFLib GmbH.

* Mon Sep 10 2000 Troels Arvin <troels@arvin.dk>
  [3.02-1]
- First RPM-version of PDFlib
